AutoCAD .NET :: WP Selection Set From Existing Poly

Aug 29, 2011

Basically I want to create a WP selection set from an existing polyline that the user picks.  The selection set should select everything inside of the closed polyline.

Here is what I have so far:
 
Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument Dim acCurDb As Database = acDoc.Database Dim acEd As Editor = DocumentManager.MdiActiveDocument.Editor '' Start a transaction Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction() '' Lock the document Dim [code]........

I cannot seem to get a 3d collection of points from a polyline.  I have tried a few different things like converting the polyline to a polyline3D, but no luck.

My assumptions are that I need to get the collection of vertices from the polyline.  Then, I need a new collection of points to create the Window Polygon.  I pass those points to the Select Window Polygon method to get my selection window.  

View 3 Replies


ADVERTISEMENT

3ds Max Modeling :: Edge Selection In Editable Poly

Oct 17, 2013

I cant solve this problem with edge selection tool, my task is to create an oil barrel and when I select the barrel with edge selection tool then press setting button next to connect there is that triangle pattern in between two lines that I don't want, how do I get rid of it?

View 7 Replies View Related

3ds Max :: Assign Material To Sub-object Selection In Poly Edit Mode

Sep 3, 2013

In mesh edit mode, when you assign a material to the selection, it works as expected, it assigns the material only to what is selected, for example, a face.

In poly edit mode, it works differently, if you try the same approach it assigns the material to the entire object and you have to deal with multi-materials and material IDs to achieve that, what is very boring and totally unintuitive imho.
Is there an option to make the poly editing mode work like the mesh editing mode, or at least another way to achieve the same result in a intuitive or at least 'visual' fashion?

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Modify Existing Selection Set?

Sep 5, 2012

I need the same funcionality as in code below, but without using "command".

The main idea is alowed user to modify Existing Selection Set.

 (defun gt:ss->lst (a:ss / i lst ) ;_ / (setq i 0) (if a:ss (progn (repeat (sslength a:ss) (setq lst (cons (ssname a:ss i) lst) i (1+ i) ) ;_ setq ) ;_ repeat (reverse lst) ) ;_ progn ) ;_ if) ;_ defun gt:ss->lst(defun gt:ss_modify (a:en-lst / ) ;_ / ;;create Selection set (setq ss2 (ssadd)) (foreach f:en a:en-lst (ssadd f:en ss2) ) ;_ foreach ;;Run command and fill with initial content (command "_select" ss2) ;;Alow the user to modify the contents (while (/= (getvar "cmdnames") "") (command pause) ) ;_ while ;;get back the list of enames from modified selection set (setq ss3 (ssget "_P")) (setq ss3-lst (gt:ss->lst ss3))) ;_ defun gt:ss_modify(defun tst:gt:ss_modify ( / ) ;_ / (gt:ss_modify (gt:ss->lst (ssget)))) ;_ defum tst:gt:ss_modify

View 8 Replies View Related

Maya Animation :: Animating Low Poly Instead Of High Poly Model?

Mar 18, 2012

My model is ready for the rigging. But my model is a little heavy in poly-count. I can rig it now but at the time of animation i know it will be a problem while animating it. It will lag while moving its controls. I have seen people animating with low mesh and while rendering they use high mesh. Do, i have to create a low poly version of my model?. If yes, Then i have to paint weight twice. low poly one and the high poly one.

View 2 Replies View Related

AutoCAD Civil 3D :: Edit Existing Surface Made By Selection Polyline

Aug 28, 2013

I have a proposed surface that has been made by selection polyline with a z elevation as contours.  Is it possible to have civil 3d easily change the weeding and supplementing factors to a tighter value after it has already been made?

View 1 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Start Command On Existing Selection Set?

Jan 29, 2012

I'd like to pass and existing set of selection to a command like laylck, which asks for selections after beginning the command. 

It must be possible to do this. Some CUI setup, lisp routine?

View 3 Replies View Related

Photoshop :: CS6 Freezes When Use Lasso Tool To Add And Existing / Complex / Selection?

Apr 5, 2013

I find that CS6 frequently feezes when I try to use the lasso tool to add to (or subtract from) and existing, complex, selection. Any fix for this? am running the most recent CS6 on a MacBook Pro with 8GB of RAM and ~250GB of free hard disk space.

View 7 Replies View Related

AutoCAD Civil 3D :: Create All New Existing Surface Over Existing Ground

Sep 28, 2012

I'm trying to create an all new existing surface over existing ground. I have a TIN surface of the EG, and I have drawn overlay splines that describe the new surface, but how to go about creating that design surface.

It is a compound surface, open on one end and closed all around on the other, somewhat like a half of a football stadium, but with an irregular upper edge because I am needing to figure out cuts and fills to manipulate the EG into this new surface without costly major terraforming. There is about 40-50' vertical elevation between the "field" and the upper rim with a generally constant 7-10 deg. slope all around. I'm just at a loss to figure out how to approach this project, and am quite new to Civil 3D.

Civil3D 2013
MacBookPro 17 - 2.4GHz Intel QuadCore i7 (Late 2011 build)
Microsoft Windows 7 64bit
350GB Bootcamp volume

View 2 Replies View Related

AutoCAD Civil 3D :: Composite Surface Of Existing Surveyed Contours As TIN Pasted Into Existing Aerial Contours

Nov 15, 2012

Some background: We have a composite surface of existing surveyed contours as a TIN pasted into existing aerial contours that we received from a client.  We used polylines to generate our proposed contours, and then generated a proposed surface from that.  We've made a blank surface, pasted in the existing surface, and are trying to paste in our proposed surface...  only the existing contours outside of the proposed suface no longer line up correctly once we do.

We've tried applying the method laid out here: [URL] ........ (and the link referenced in the bottom) but are still having trouble getting the surface to work.  We've tried offsetting as little as 0.25' and as much as 5' with the feature line draped over the existing surface, but it seemed that the greater the offset, the greater the discrepancy.

Just to make sure we even tried that correctly - should the breaklines that we add be standard or non-destructive?  (I've tried it both ways with little success either way, so I don't know if it matters much in this instance, but perhaps for future reference it would work.)

I've attached a screen shot of our surfaces.  The pink and green lines are the proposed contours, the white dashed are the existing.  The outer red line is offset 0.25'.  As I've mentioned, we've tried offsetting various amounts with decreasing success.

View 9 Replies View Related

Photoshop :: How To Change Color In Existing Gradient On Existing Image

Mar 25, 2013

I have an image which is simply a one color gradient, with transparency from nothing to something. I would like to be able to access the existing gradient on the image and change only the color. I have hunted high and low and cannot see how to do this.

(I am familiar with how to make a new gradient and how to change the colors in a saved gradient via the gradient dialogue. But for the life of me, I can't see how to access an existing gradient on an image and change only this one parameter.

View 9 Replies View Related

AutoCad :: Controlling Sub Objects In Poly Lines?

May 12, 2011

This is a closed polyline, how can I delete the edge? Is there some sub object selection mode for polylines?

sub_objects.jpg

This was the initial situation or problem, two control points lying on eachother, instead of dragging the edge and removing the extra polyline, is there a way to collapse or weld the overlapping elements?

two_points.jpg

View 6 Replies View Related

AutoCad 3D :: How To Draw Single 3D Poly Line

Oct 10, 2011

I want to draw 3D pipe line using sweep command. For this first i have to make a path in poly line, that i couldn't yet.

Check attached file green and red line and make a single poly line instead of 2 red or green line.

View 1 Replies View Related

AutoCAD Civil 3D :: Converting Poly To Feature Line?

Oct 25, 2012

So I am attempting to create a simple grading daylight. I began with a 3D Polyline that has only 2 verticies. When I "Convert Feature Lines from Objects," it creates a feature line with 4 verticies. The 1st and last have the initial elevations from the 3D Poly, but the 2 new verticies seem to be pulling elevations off the surface below where I am working.

My questions are: 1) why are new verticies added? 2) can this be prevented?

I know that I can overwrite the slopes in elevation editor, but this seems like an unnecesarry extra step.

Civil 3D 2013, HF3.0
Windows 7, 64-bit, SP1

View 3 Replies View Related

AutoCAD 2010 :: Importing A Poly Face Mesh

Jan 19, 2012

I am trying to import a Polyface Mesh of a road plan to use in Terramodel.  Terramodel handles .dwf and .dxf perfectly, but I seem to be having trouble preserving the elevations when importing.  The polyface mesh imports in as polylines and without preserving the given elevations.  I have used autocad in the past and have access to Autocad Civil 3d 2012 if need be. 

Is there an import tool or command I am missing or unaware of that will allow the import to take place successfully? 

View 4 Replies View Related

AutoCad 3D :: Twisting Of Solid When Sweeping Along Spline / 3D Poly

Feb 25, 2013

I draw 3D curved handrail, mainly just rectangular because i import the geometry in to Alphacam and run tool paths down them, but i keep getting faced with the problem of the twisting of a solid when sweeping along a spline or a 3D poly!

View 9 Replies View Related

AutoCAD Architecture :: Possible To Draw Polyline / 3D Poly On A Wall

Mar 21, 2013

1. How can you join walls and slab?

2. how can you join two floors when each is in it own Construct drawing? (in sepparate drawing i connect all floors, all building, and by doing section I don't want to see lines on connections like each floor is its own unit) 

3. is it possible to draw polyline, 3dpoly on a wall and "strech" it to become an opening?

4. on drawing status bar..there is a elevaton and cut elevation. I get what cut elevation stands for, but the other? (the lower elevation)

View 1 Replies View Related

AutoCAD Civil 3D :: Creating 3D Poly From Alignment And Profile

Aug 14, 2012

I've been asked to create a 3D poly from a given alignment and profile.

The only way I know to do it, is to create a feature line using the "createfeaturelinefromalign" command and exploding it.

My problem is that the resulting 3D poly loses a lot of the "precision" the feature line had (how closely it followed the alignment).

another way to create a 3D poly or of some method of maintaining the feature precision when exploding it?

View 9 Replies View Related

AutoCAD 2010 :: Multiple Grip Selection Not Working When Pan Or Zoom During Selection

Jul 12, 2011

When I select a hatch or polyline or any object with grips for that matter, and hold down shift to select multiple grips on the object or objects and then press my middle mouse button to pan or scroll it to zoom, the grips that I have selected de-select, meaning I have to set up the view so that all the grips I want to move are visible before selecting them.

This is only happening on some drawings (although it is most of them) and only when I use 2012 not 2011. Which system variable it is that has gone screwy that I need to reset? or is it something else?

View 9 Replies View Related

AutoCAD Inventor :: Prevent Display Of Selection Lines Upon Selection?

Mar 28, 2013

I have a flexible sub-assembly in my top assembly. Sometiems I'm trying to demonstrate to others how a mechanism in the sub-assembly works using this flexibility feature. It works great, but when I move just one little part of a flexible assembly, Inventor displays the wire-mesh of the entire flexible assembly, because technically the entire assembly is selected, even though I'm only moving one part. It clutters up the screen very badly, detracting from what I'm trying to show.

Is there a way to prevent Inventor from displaying the selection lines? Either only when I'm moving a part in a flexible assembly (which would be great), or to just turn them off completely when I'm presenting like this? I know I can turn off pre-select, but that doesn't work, because once I start moving a part in the flexible assembly, the assembly is "selected" and the wire-mesh displays.

View 3 Replies View Related

AutoCAD .NET :: Leave Elements In Selection Mode After A Selection Action?

Sep 11, 2013

When creating a selection Command using the PromptXXXOptions and PromptXXXResult. The entities are selected on the current view, but once the selection ends the entities return to an unselected state.

Is it possible to leave them in selection mode.

I want to this, because it will be better to use Editor.SelectImplied() instead of saving the last selection object Ids.

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Remove A Selection Set From A Selection Set

Nov 15, 2013

I've created a lisp that draws the boltholes of a pipe flanges, using the correct number of holes, at the correct diameter at the correct bolt-hole diameter and then rotates.  Everything works seamlessly, when i do just one flange.  But I've discovered that fewuently there will be mulitple times when a user will have to perform the command.

So the idea I had was to do the following:

Select all circles with     (setq CirclesFirst (ssget "X" (list (cons 0 "CIRCLE"))))

Go through the code to create the new circles.

Select all circles with     (setq Circles (ssget "X" (list (cons 0 "CIRCLE"))))

Remove selection set "CirclesFirst" from "Circles".

But what for some reason (command "_.select" Circles "R" CirclesFirst "") does not work.

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Divide 3D Poly Line

Sep 21, 2011

I have little Autolisp experience, what I need is a lisp routine that will divide a 3D Poly line to say about 1000 points and add index to the points from the start of the line to the end of the line. It is very important that the index be from the start to the end of the line, because we extract the info to excel and then use the x,y and z co-ordinate of the points on our hydraulic analysis  program. We need to have the index and the x, y and z co-ordinates on our Excel sheet sorted by index and not by x, y and z.

To be more clear the 3D poly is a pipeline profile so we need to have the points in order by index and not by x, y and z.

View 9 Replies View Related

AutoCad :: Interpolating Coordinates From Poly Line Other Than Input Points

Jan 17, 2012

I have coordinates for an aerofoil which I put into Autocad and plotted using pline. I have 52 points, what I want is to have more points on the aerofoil, i.e interpolate. I can probably create more points by averaging two adjacent y-points and two adjacent x-points but it would be much better if Autocad did this

the LIST command only gives the points i put in the program.

Capture.JPG

View 9 Replies View Related

AutoCAD Civil 3D :: Adjust Elevation Not Location For Contour Poly Lines

Feb 1, 2013

I was given a file from a competetor (this is evil)

The file has  coordinates in feet (x, y) but elevations (Z) in meters.

I need the contours intact (cant explode block and scale) to create a surface from.

The other part is this is a big file so anything by hand would be rediculous.

I need the final file where the x,y has stayed the same but the z has been adjusted to the correct foot elevation (scaled)
 
Civil 3D 2012 SP3

View 5 Replies View Related

AutoCAD 2010 :: Drawing 3d Object With Poly Lines From The Side Is Not Working

Mar 29, 2012

I am trying to build a 3d model and I am requirng to draw 2d sketches in the side view e.g right but all the happens is that the polylines do not go at the angle I need them at they jsut go parallel to the bottom. Also how do i create like a plane which I can draw a flat sketch on which i can set an offset from my first sketch?

View 1 Replies View Related

AutoCAD 2013 :: SurfPatch Command - Create Surface From Closed 3D Poly

Feb 21, 2013

Trying to us SURFPATCH to create a surface from a closed 3d poly (with SP1.1 applied)

The 3D poly on the left worked correctly, but when trying SURFPATCH on the right (axe head shape) the resulting surface id rectangular - why? looks like I will need to revert to EDGESURF - for now

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Convert A Poly Face Mesh To A Solid?

Oct 10, 2011

Looking for a lisp to convert a poly face mesh to a solid.

View 1 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Find Maximum Distance Between 3D Poly And Spline?

Aug 8, 2013

Let's say I have a 3D polyline, which I turn into a spline. I then want to determine how closely the original polyline and spline follow each other. How I can check this programmatically? The concern is to find the maximum deviation and its location.

Howto be able to run the check on other types of objects as well: arc, polylines etc.

View 6 Replies View Related

3ds Max :: Recall Editable Poly Set And Or UVW Map

May 12, 2012

Is there a way to recall a editable poly set and or a uvw map? It seems like I have to always re select them if if i want to modify a map.

Here is what I dont get, I have a box converted to an editable poly. With all of the polygons (faces) selected on one side, I assign a uvw map and successfully assign a map.

So I proceed to the top of the box and repeat the process and what? The entire cube takes on my "assign material to select" and I only have the top faces selected. What the heck is going on here. This is happening in 2013 and also 2012.

View 2 Replies View Related

3ds Max :: Getting One Editable Poly To Deform Another

Apr 24, 2011

I have a diamond model I built (editable poly) and it is sitting on a pillow I made (garment maker, cloth- also editable poly) Ok so there has got to be an easy way to make the diamond sink into the pillow. I have been playing around with conform space modifier for hours now and I can make basic shapes change but it will not effect my ed polies and also I dont know if this is working the way I imagined anyway.

View 1 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved